Package: libbonoboui / 2.24.5-4

01_dont_check_for_pangox.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
Index: libbonoboui-2.24.5/configure.in
===================================================================
--- libbonoboui-2.24.5.orig/configure.in	2011-04-04 14:28:40.000000000 +0200
+++ libbonoboui-2.24.5/configure.in	2013-03-02 22:49:54.595797025 +0100
@@ -63,27 +63,8 @@ fi
 gtk_target="`$PKG_CONFIG --variable=target gtk+-2.0`"
 
 if test $gtk_target = x11 ; then
-  dnl X development libraries check
+    dnl X development libraries check
 
-  #
-  # If Pango included the shared library dependencies from X11 in
-  # the pkg-config output, then we use that (to avoid duplicates).
-  # but if they were omitted to avoid binary compatibility problems
-  # then we need to repeat the checks.
-  #
-  if $PKG_CONFIG --exists pangoxft ; then
-    PANGO_PACKAGES="pangox pangoxft"
-  else
-    PANGO_PACKAGES="pangox"
-  fi
-
-  x_libs="`$PKG_CONFIG --libs $PANGO_PACKAGES`"
-  case x_libs in
-    *-lX11*) pango_omitted_x_deps=no ;;
-    *)       pango_omitted_x_deps=yes ;;
-  esac
-
-  if test $pango_omitted_x_deps = yes ; then
     AC_PATH_XTRA
 
     if test x$no_x = xyes ; then
@@ -91,7 +72,6 @@ if test $gtk_target = x11 ; then
     else
       X_LIBS="$X_PRE_LIBS $X_LIBS -lX11 $X_EXTRA_LIBS"
     fi
-  fi
 fi
 
 AC_SUBST(X_LIBS)